.navbar{
    display: flex;
    justify-content: space-between;
    box-sizing: border-box;
    padding: 1.5rem 2.5rem;
    max-height: 3.75rem;
    width: 100%;
    align-items: center;
    box-shadow: 0 4px 4px -6px;
    position: fixed;
    top: 0;
    background-color: var(--secondary-hover);
    z-index: 9999;
}

.library-name{
    font-weight: bolder;
    letter-spacing: 4px;
    font-size: xx-large;
    font-family: cursive;
    color: var(--primary-color);
    text-shadow: var(--purple) 4px 4px 10px;
}

.github-link{
    display: flex;
    justify-content: space-around;
    height: fit-content;
    min-width: 10rem;
    align-items: center;
}

.github-icon{
    height: 1.25rem;
    width: 1.25rem;
}

.sidebar{
    grid-area: sidebar;
	position: fixed;
	top: 4rem;
	z-index: 1;
	height: calc(100vh - 6.5rem);
	width: 16rem;
	overflow: auto;
	transition: 0.3s;
}

.sidebar-list{
    margin: 0.75;
}

.sidebar-list-item{
    margin-left: 2rem;
    margin-right: 1rem;
    padding: 1rem 0.5rem;
}

.sidebar-list-item:hover{
    background-color: var(--secondary-hover);
    border-radius: 6px;
}

.main-container{
    display: grid;
    grid-template-columns: 16rem auto;
    scroll-behavior: smooth;
    overflow: auto;
}

.main-content{
    padding: 2rem;
    margin-top: 3rem;
}

.content-heading{
    font-size: xx-large;
    font-weight: 500;
}

.content-sub_heading{
    padding-top: 1rem;
    padding-bottom: 1rem;
    font-size: x-large;
    font-weight: 500;
}

.content-sub_heading-sm{
    padding-top: 2rem;
    padding-bottom: 1rem;
    font-size: large;
    font-weight: 450;
}

.sub-heading-description{
    line-height: 2rem;
}

.code-snippet{
    margin-top: 3rem;
    align-items: center;
    max-width: 100%;
}

.reference-item{
    padding-bottom: 1rem;
}

.class-highlight{
    background-color: var(--text-highlight);
}

.text-highlight{
    background-color: var(--secondary-light);
    text-decoration: underline;
}